%Test script 3a: Test newton_v2 algorithm and line-search
clc; clear all;

x = linspace(-10,10,250);
y = linspace(-10,10,250);
fpnt = @testfunc_2c;
fopt = struct();

dx = 1E-8;
for I = 1:size(x,2)
    for J = 1:size(y,2)
        xx(I,J) = x(I);
        yy(I,J) = y(J);
        r = [x(I);y(J)];
        f0 = fpnt(r,fopt);
        fpdx = fpnt(r+dx.*[1;0],fopt);
        fpdy = fpnt(r+dx.*[0;1],fopt);
        ff(I,J) = f0;
        dfdx = (fpdx-f0)/dx;
        dfdy = (fpdy-f0)/dx;
        df = [dfdx;dfdy];
        grdm(I,J) = norm(df);
    end
end

%Let's follow the contourf algorithm
x0  = [-0.1,0.1]'*10;
solpars = struct();
solpars.maxiter = 10;
solpars.verbose=4;
solpars.fdesc = 1;
Ni = 20; %Follow for N interations

x = {};
x{1} = x0;
xs = x0;
flg(1) = -3;
for I = 1:Ni
    x{I} = xs;
    flgl{I} = flg;
    [xs,flg] = amsopt_newton_bfgh(fpnt,x0,2,fopt,solpars);
end

xl = [];
yl = [];
for I = 1:Ni
    xl(I) = x{I}(1);
    yl(I) = x{I}(2);
end

h1 = figure(1);
clf; hold on;
[jnk,h2,jnk] = contourf(xx,yy,ff,[-5:0.5:100]);
for I = 1:size(h2,2)
    set(h2,'LineStyle','none');
end

for I = 1:Ni
    plot(xl,yl,'ko');
end

h1 = figure(2);
clf; hold on;
[jnk,h2,jnk] = contourf(xx,yy,grdm,[0:0.25:20]);
for I = 1:size(h2,2)
    set(h2,'LineStyle','none');
end

for I = 1:Ni
    plot(xl,yl,'ko');
end
