%Draw an orbit arc given orbit elements at an epoch, and t1, t2 since epoch
%function ams_draworbitarc_oet(oe,t1,t2,mu,color)
%
function ams_draworbitarc_oet(oe,t1,t2,mu,color)

if(nargin<3)
    color = [0,0,1];
end

%Ignore this
%if(oe.e < 1)
%    nuecrit = -1;
%    nuebnd = pi;
%else
%    nuecrit = acos(-1/oe.e);
%    nuebnd = 0.9*nuecrit;
%end

nue0 = oe.nue;
[r0,v0] = amsorb_oe_to_rv(oe,mu);
[r1,v1] = amsorb_UTOF(r0,v0,t1,mu);
oe1 = amsorb_rv_to_oe(r1,v1,mu);
nue1 = oe1.nue;
[r2,v2] = amsorb_UTOF(r0,v0,t2,mu);
oe2 = amsorb_rv_to_oe(r2,v2,mu);
nue2 = oe2.nue;

if(nue2<nue1)
    nue2 = nue2 + 2*pi;
end

nl = linspace(nue1,nue2,100);
rm = zeros(1,size(nl,2));

for I = 1:size(nl,2)
    rm(I) = oe.p/(1+oe.e*cos(nl(I)));
end

r0 = oe.p/(1+oe.e*cos(oe.nue));

%Get orbit frame
   inc = oe.inc;
   Om = oe.Omega;
   A = [1,0,0;0,cos(inc),-sin(inc);0,sin(inc),cos(inc)];
   B = [cos(Om),-sin(Om),0;sin(Om),cos(Om),0;0,0,1];
   C = B*A;
   un = C(:,1);     %line of nodes
   unp = C(:,2);    %complement orbit plane vector
   uh = C(:,3);     %angular momentum unit vector


   lom = oe.lomega;
   nue = oe.nue;
   
   ue = cos(lom).*un + sin(lom).*unp;   %eccentricity unit vector
   up = -sin(lom).*un + cos(lom).*unp;  %semi-latus-rectum unit vector
    ur = cos(lom+nue).*un + sin(lom+nue).*unp;
   unue = cross(uh,ur);

for I = 1:size(nl,2)
    nue = nl(I);
    ur = cos(lom+nue).*un + sin(lom+nue).*unp;
    rx(I) = rm(I).*ur(1);
    ry(I) = rm(I).*ur(2);
    rz(I) = rm(I).*ur(3);
end
    nue = oe.nue;
    ur = cos(lom+nue).*un + sin(lom+nue).*unp;
    rx0 = r0.*ur(1);
    ry0 = r0.*ur(2);
    rz0 = r0.*ur(3);

hold on;
plot3(rx,ry,rz,'Color',color);
plot3(r1(1),r1(2),r1(3),'o','Color',color);
plot3(r2(1),r2(2),r2(3),'o','Color',color);