%Julian day to year,month,day,hour,minute,second - converts julian date
%to date and time GMT.
%
%function [yr,month,day,hour,minute,sec_b] = ams_inverse_juliandate(JD)
function [yr,month,day,hour,minute,sec_b] = ams_inverse_juliandate(JD)

%number of days since 2000 Jan 1 00:00:00
d2 = JD - 2451544.5;

%which 400 year block are you in, since 2000 Jan 1 00:00:00?

gfh = floor(d2/146097);
y1 = gfh*400 + 2000;
d3 = mod(d2,146097);

%which century within the 400 year block are you in?
if(d3<0)
    fprintf('Something is wrong with the modular arithmetic\n');
elseif(d3<36525)
    c = 0;
    d4 = d3;
    
elseif(d3<36525+36524)
    c = 1;
    d4 = d3 - 36525;
elseif(d3<36525+36524+36524)
    c = 2;
    d4 = d3 - (36525+36524);
elseif(d3<36525+36524+36524+36524)
    c = 3;
    d4 = d3 - (36525+36524+36524);
end

y2 = y1 + c*100;

%which year are you in within the century?
y3d = 0;
cond = 0;
while(cond == 0)
    yrp = y3d+y2;
    if(int_isleap_b(yrp))
        cond = (d4<366);
    else
        cond = (d4<365);
    end
    if(cond == 0)
        if(int_isleap_b(yrp))
            d4 = d4 - 366;
            y3d = y3d+1;
        else
            d4 = d4 - 365;
            y3d = y3d+1;
        end
    end
end

y3 = y2 + y3d;
yr = y3;

d5 = d4;
ly = int_isleap_b(yr);
md_nly = [31,28,31,30,31,30,31,31,30,31,30,31];
md_ly = [31,29,31,30,31,30,31,31,30,31,30,31];
md_nly_b = [0;31;59;90;120;151;181;212;243;273;304;334]';
md_ly_b = [0;31;60;91;121;152;182;213;244;274;305;335]';
%which month are you in?
if(ly)
    I = 1;
    while((I<12)&&((d5+1)>md_ly_b(min(I+1,12))))
        I = I + 1;
    end
else
    I = 1;
    while((I<12)&&((d5+1)>md_nly_b(min(I+1,12))))
        I = I + 1;
    end
end
month = I;

if(ly)
    d6 = d5 - md_ly_b(I);
else
    d6 = d5 - md_nly_b(I);
end

day = floor(d6+1);
frac = mod(d6,1);
hr1 = frac*24.0;
hour = floor(hr1);
min1 = mod(hr1*60.0,60.0);
minute = floor(min1);
sec1 = mod(min1*60.0,60.0);
sec_b = sec1;


return


function bl = int_isleap(y3d,c)
bl = 0;
if(y3d == 0)
    if(c == 0)
        bl = 0;
    else
        bl = 1;
    end
else
    if(mod(y3d,4)==0)
        bl = 1;
    end
end
return

function bl = int_isleap_b(yr)
bl = 0;
isfh = mod(yr,400)==0; %is it mod 400
if(isfh)
    bl = 1;
else
    iscent = mod(yr,100)==0;
    if(iscent)
        bl = 0;
    else
        isly = mod(yr,4)==0;
        if(isly)
            bl = 1;
        end
    end
end
return