%interpolates midway velocity points 
function [v1,v2] = ams_splinevelinterp(r0,t0,r1,t1,r2,t2,r3,t3)

v01 = (r1-r0)./(t1-t0);
v12 = (r2-r1)./(t2-t1);
v23 = (r3-r2)./(t3-t2);

t01 = 0.5*(t0+t1);
t12 = 0.5*(t2+t1);
t23 = 0.5*(t3+t2);

f1 = (t1-t01)/(t12-t01); 
f2 = (t2-t12)/(t23-t12);

v1 = f1.*v01+(1-f1).*v12;
v2 = f2.*v12+(1-f2).*v23;

return