function [az, el] = ams_vector_to_azel(v,b1,b2,b3)

if(nargin<4)
    b1 = [1;0;0];
    b2 = [0;1;0];
    b3 = [0;0;1];
end

if(norm(v)<1E-16)
    az = 0; el = 0;
else
    b1 = b1./norm(b1);
    b2 = b2./norm(b2);
    b3 = b3./norm(b3);
    
    v = v./norm(v);
    az = arg_vect(b1,b2,v);
    el = asin(dot(v,b3));
end

return