%Conversion function for eccentric anomaly E, or hyperbolic anomaly F to
%true anomaly nue.
%function nue = EF_to_nue(EF,e)
function nue = amsorb_EF_to_nue(EF,e)

nue = 0;

if(abs(e)<=1)
    if(mod(EF,2*pi)<=pi)
        nue = acos((e-cos(EF))/(e*cos(EF)-1));
    else
        nue = 2*pi - acos((e-cos(EF))/(e*cos(EF)-1));
    end
else
    cnue = (e-cosh(EF))/(e*cosh(EF)-1);
    if(EF>0)
        nue = acos(cnue);
    else
        nue = 2*pi - acos(cnue);
    end
end


return