%Calculates auxiliary properties for the solar system and adds them to
%each object in the tree
%function solarsys = amsorb_calcsauxprops(solarsys)
function solarsys = amsorb_calcsauxprops(solarsys)

G = 6.67408E-11;

for I = 1:size(solarsys.objs,2)
    mass = solarsys.objs{I}.prop.mass;
    mu = G*mass;
    solarsys.objs{I}.prop.mu = mu;
    parent = solarsys.objs{I}.parent;
    if(parent~=-1)
        mass_parent = solarsys.objs{parent}.prop.mass;
        mu_parent = mass_parent*G;
        solarsys.objs{I}.prop.mu_parent = mu_parent;
    end
end

return