%Converts kepler JPL moon orbital elements to standard amsorb keplerian
%orbital elements, given a julian date.
%
%function oe = amsorb_kjplm_to_oe(kjplm,JD,mu)
function oe = amsorb_kjplm_to_oe(kjplm,JD,mu)

epoch = kjplm.epoch;
t0 = epoch*24*3600;
t1 = JD*24*3600;
T = t1-t0;

%Initial orbit
oe1.orbitvalid = 1;
oe1.a = kjplm.a;
oe1.e = kjplm.e;
oe1.lomega = kjplm.lomega;
M = kjplm.M;
E = amsorb_M_to_EF(M,oe1.e);
nue = amsorb_EF_to_nue(E,oe1.e);
oe1.nue = nue;
Omega = kjplm.Omega+kjplm.Omegadot*T;
oe1.Omega = Omega;
oe1.inc = kjplm.inc;

%calculate final orbit at epoch
oe = amsorb_oe_to_oe_t(oe1,T,mu);


return