%Conversion function for eccentric anomaly E, or hyperbolic anomaly F to
%true anomaly nue.
%function nue = EF_to_nue(EF,e)
function EF = amsorb_nue_to_EF(nue,e)
EF = 0;

if(abs(e)<=1)
    chE = (e+cos(nue))/(1+e*cos(nue));
    if(mod(nue,2*pi)<pi)
        EF = acos(chE);
    else
        EF = 2*pi - acos(chE);
    end
else
    chF = (e+cos(nue))/(1+e*cos(nue));
    %if(abs(chF)<1)
    %    EF = NaN;
    %else
        if(mod(nue,2*pi)<pi)
            EF = acosh(chF);
        else
            EF = -acosh(chF);
        end
    %end
    
end

return