%Calculates synodic period of two elliptical orbits
%assumes they are going the same direction around the sun
%
%function Ts = amsorb_synodicperiod(oe1,oe2,mu)
%Ts in TU used in mu, oe-set.
function Ts = amsorb_synodicperiod(oe1,oe2,mu)

Mdot1 = sqrt(mu/oe1.a^3);
Mdot2 = sqrt(mu/oe2.a^3);
Ts = 2*pi/abs(Mdot2-Mdot1);

return