%Objective function for trajectory optimization
function Jhat = amsorb_top2_fobj_2b(z,fpars)

t0 = fpars.t0;
tf = fpars.tf;
rf = fpars.rf;
vf = fpars.vf;

optpars = amsorb_top2_spool_z(z,t0,tf);
outs = amsorb_top2_traj(optpars,fpars);
tt0 = optpars.tt0;
ttf = optpars.ttf;

rerr = rf - outs.rlst{end}; %Final position error
verr = vf - outs.vlst{end}; %Final velocity error

cv = [rerr./1E9;verr./2E2]; %Constraint cost

cst1 = int_collisioncostfunc(tt0,ttf,t0,tf); %Thrust collision avoidance cost

J = outs.dV;
%J = outs.J2; %Integrated square of jet power
Jhat = J+cv'*cv*fpars.cnstscale + 1E1*cst1;

return

function cst = int_collisioncostfunc(tt0,ttf,t0,tf)
%Keep beginning thrust arc and end thrust arc from overlapping/colliding

dst = (tf-ttf)/(tf-t0)-(tt0+t0)/(tf-t0);
cst = min((dst-0.1),0)^2;

return