function rets = amsorb_top_generateICs(r0,v0,t0,rf,vf,tf,N)

rets=struct();
t = ams_cubicmesh(-1.90,t0,tf,N);
[a0,a1,a2,a3] = ams_splinecoeff_v2(r0,v0.*(tf-t0),rf,vf.*(tf-t0));
rc = {}; %intiial spline control point position
vc = {}; %initial spline velocity at control point
for I = 1:size(t,2)
    [r,v,a] = ams_splineinterp_v2(a0,a1,a2,a3,t(I),t(1),t(end));
    rc{I} = r;
    vc{I} = v;
end

rets.t = t;
rets.rc = rc;
rets.vc = vc;

return