%Tree manipulation functions
%A tree is a struct that is assumed to have the following elements:
%treein.objs{} = a cell array of objects
%treein.rootobj = an index value to cell containing the 
function treeout = amstree_attachobj(treein,obj,parent)

treeout = treein;

%if parent is an index, set the object's parent property to the index value
if(isnumeric(parent))
    %Is the index for the parent object within the current objs{} list?
    if(parent <= size(treeout.objs,2)&&parent>=1)
        newind = size(treeout.objs,2)+1;
        newdepth = treeout.objs{parent}.depth+1;
        treeout.objs{newind} = obj;
        treeout.objs{newind}.parent = parent;
        treeout.objs{newind}.depth = newdepth;
        childsize = size(treeout.objs{parent}.children,2);
        treeout.objs{parent}.children{childsize+1} = newind;
    else
        fprintf('Error: Parent object does not exist!\n');
        %parent doesn't exist, adding an orphan object
        %parent = -1; %no parent
        %newind = size(treeout.objs,2)+1;
        %treeout.objs{newind} = obj;
        %treeout.objs{newind}.parent = parent;
    end

%if parent is a name, look for an object with the name
elseif(ischar(parent))
    %get the index of the name
    parent = amstree_getindex(treeout,parent);
    if((parent <= size(treeout.objs,2))&&(parent>=1))
        newind = size(treeout.objs,2)+1;
        newdepth = treeout.objs{parent}.depth+1;
        treeout.objs{newind} = obj;
        treeout.objs{newind}.parent = parent;
        treeout.objs{newind}.depth = newdepth;
        childsize = size(treeout.objs{parent}.children,2);
        treeout.objs{parent}.children{childsize+1} = newind;
    else
        %parent doesn't exist, adding an orphan object
        %edit: no orphans - let's restrict trees to connected trees
        fprintf('Error: Parent object does not exist!\n');
        %parent = -1; %no parent
        %newind = size(treeout.objs,2)+1;
        %treeout.objs{newind} = obj;
        %treeout.objs{newind}.parent = parent;
    end
else
    fprintf('Error: Parent is not a name, or an index value.\n');
end

return