%Deletes an object from the tree. Updates parents list of children
%Deletes all child objects (does this iteratively, replacing them with
%nullobjs)
%
%function treeout = amstree_deleteobj(treein,obj)
function treeout = amstree_deleteobj(treein,obj)

treeout = treein;

if(isnumeric(obj))
    ind = obj;
    if(ind<1 || ind > size(treeout.objs,2))
        fprintf('Error! obj %d is not in set!\n',ind);
    end
    
elseif(ischar(obj))
    ind = amstree_getindex(treeout,obj);

else
    fprintf('Error! obj is not an index or an object name!\n');
    return;
end
%Recursion limit is 500 or so. set(0,'RecursionLimit',N) sets
%RecursionLimit as a root matlab environment property.
while(size(treeout.objs{ind}.children,2)>0)
    child = treeout.objs{ind}.children{1};
    treeout = amstree_deleteobj(treeout,child);
end
    %remove this object, and update child listings.
    %this will leave a hole in the object list - a "null object" -
    %recalculating the tree and removing all the null objects can be done
    %in a different step
    nullobj = struct();
    nullobj.name = '';
    nullobj.class = 'nullobj';
    parent = treeout.objs{ind}.parent;
    parentchildlist = treeout.objs{parent}.children;
    parentchildlist = int_removefromlist(parentchildlist,ind);
    treeout.objs{parent}.children = parentchildlist;
    treeout.objs{ind} = nullobj;


return

function listb = int_removefromlist(lista, ind)
    listb = {};
    J = 1;
    for I = 1:size(lista,2)
        if(lista{I}~=ind)
            listb{J} = lista{I};
            J = J + 1;
        end
    end
return