%Quick and dirty runge-kutta 4th order step
%
%function x2 = rkstep(fpnt, t, x, dt, pars)
%fpnt - function pointer of the form xdot = fpnt(t,x,pars)
%x2 - vector after timestep
%t - time
%x - initial vector
%pars - parameters passed to function
%
%I made this because ODE45 was ignoring my timestep preferences.
%This integrator steps between provided times.
function x2 = rkstep(fpnt, t, x, dt, pars)

k1 = fpnt(t,x,pars);
k2 = fpnt(t+dt/2,x+k1.*dt/2,pars);
k3 = fpnt(t+dt/2,x+k2.*dt/2,pars);
k4 = fpnt(t+dt,x+k3.*dt,pars);

x2 = x + dt/6.*(k1+2.*k2+2.*k3+k4);


return
