clc; clear all;
path(path,'../ConstrainedOpt_Matlab');

G = 6.67408E-11; %N-m^2/kg^2
AU = 149597870700; %m in an AU
cty = 100*365.25*24*3600; %sec in a century
rad = pi/180; %conv deg to radians
day = 24*3600; %sec in a day

%I. Set Departure and Arrival Dates
JD0 = ams_juliandate(2022,08,1,0,0,0);
JDf0 = ams_juliandate(2022,11,1,0,0,0);
JDff = ams_juliandate(2024,03,1,0,0,0);

JDf_lst = linspace(JDf0,JDff,200);
dV_lst = [];
val_lst = [];

Isp1 = 400;
Isp2 = 850;
mf1_lst = [];
mf2_lst = [];

for I = 1:size(JDf_lst,2)
    JDf = JDf_lst(I);
    [dV,val] = scriptfunc_earthmars(JD0,JDf);
    dV_lst(I) = dV;
    val_lst(I) = val;
    mf1_lst(I) = exp(-dV/Isp1/9.8);
    mf2_lst(I) = exp(-dV/Isp2/9.8);
    fprintf('%1.6g %% complete..\n',I/size(JDf_lst,2)*100);
end

save('ImpulseStats');
