%clc; clear all;
%Fix a problem with my solution statistics
load('LowThrustStats3');

path(path,'../ConstrainedOpt_Matlab');

G = 6.67408E-11; %N-m^2/kg^2
AU = 149597870700; %m in an AU
cty = 100*365.25*24*3600; %sec in a century
rad = pi/180; %conv deg to radians
day = 24*3600; %sec in a day

%I. Set Departure and Arrival Dates
%JD0 = ams_juliandate(2012,05,1,0,0,0);
%JDf = ams_juliandate(2015,08,1,0,0,0);
t0 = JD0*3600*24;
tf = JDf*3600*24;

%II. Get Solsystem Model
SS = amsorb_generatesolarsys();
mu_sol = SS.objs{1}.prop.mu;

%III. Get Initial and Final Coordinates
SS0 = amsorb_solsysepochcalc(SS,JD0);
SSf = amsorb_solsysepochcalc(SS,JDf);

o1 = amstree_getindex(SS0,'earth');
o2 = amstree_getindex(SSf,'mars');
r0 = SS0.objs{o1}.eprop.r;
v0 = SS0.objs{o1}.eprop.v;
rf = SSf.objs{o2}.eprop.r;
vf = SSf.objs{o2}.eprop.v;

for I = 1:size(opts_lst2,2)
    outs2 = outs_lst2{I};
    rel2 = norm(outs2.rlst{end}-rf)/norm(rf);
    vel2 = norm(outs2.vlst{end}-vf)/norm(vf);
    rel_lst2(I) = rel2;
    vel_lst2(I) = vel2;
    if(rel2 < 0.02 && vel2 < 0.05)
        val_lst2(I) = 1;
    else
        val_lst2(I) = 0;
    end
end

save('LowThrustStats3b');