clc; clear all;

load('ImpulseStats');

imp_dVlst = dV_lst;
imp_mf_lst1 = mf1_lst;
imp_mf_lst2 = mf2_lst;
imp_JDf_lst = JDf_lst;
imp_t = imp_JDf_lst-JD0;

load('LowThrustStats2c');

LT1_JDf_lst_all = JDf_lst;

LT1_dV1 = [];
LT1_mf1 = [];
LT1_JDf1 = [];
LT1_J2_1 = [];

J = 1;
for I = 1:size(opts_lst1,2)
    if(val_lst1(I)==1)
        LT1_dV1(J) = dV_lst1(I);
        LT1_mf1(J) = mf_lst1(I);
        LT1_JD2_1(J) = J2_lst1(I);
        LT1_JDF1(J) = LT1_JDf_lst_all(I);
        LT1_t(J) = LT1_JDF1(J)-JD0;
        J = J + 1;
    end
end

load('LowThrustStats4');

LT2_JDf_lst_all = JDf_lst;

LT2_dV1 = [];
LT2_mf1 = [];
LT2_JDf1 = [];
LT2_J2_1 = [];
LT2_dV2 = [];
LT2_mf2 = [];
LT2_JDf2 = [];
LT2_J2_2 = [];

J = 1;
K = 1;
for I = 1:size(opts_lst1,2)
    if(val_lst1(I)==1)
        LT2_dV1(J) = dV_lst1(I);
        LT2_mf1(J) = mf_lst1(I);
        LT2_JD2_1(J) = J2_lst1(I);
        LT2_JDf1(J) = LT2_JDf_lst_all(I);
        LT2_t1(J) = LT2_JDf1(J)-JD0;
        J = J + 1;
    end
    if(val_lst2(I)==1)
        LT2_dV2(K) = dV_lst2(I);
        LT2_mf2(K) = mf_lst2(I);
        LT2_JD2_2(K) = J2_lst2(I);
        LT2_JDf2(K) = LT2_JDf_lst_all(I);
        LT2_t2(K) = LT2_JDf2(K)-JD0;
        K = K + 1;
    end
end

figure(1)
clf; hold on;
%delta-V figure
plot(imp_t,imp_dVlst./1000,'k');
plot(LT1_t,LT1_dV1./1000,'bo');
plot(LT2_t1,LT2_dV1./1000,'bd');
h = plot(LT2_t2,LT2_dV2./1000,'gd');
set(h,'Color',[0,0.5,0]);
xlabel('Time of Flight (days)');
ylabel('\Delta-V (km/sec)');
legend('Two Impulse','LT 1 mm/sec^2 3000 sec Isp',...
    'LT 1 mm/sec^2 3000 sec Isp','LT 0.5 mm/sec^2 3000 sec Isp');

figure(2)
clf; hold on;
%mass-fraction figure
plot(imp_t,imp_mf_lst1,'k');
plot(imp_t,imp_mf_lst2,'b');
plot(LT1_t,LT1_mf1,'ro');
plot(LT2_t1,LT2_mf1,'rd');
h = plot(LT2_t2,LT2_mf2,'gd');
set(h,'Color',[0,0.5,0]);
xlabel('Time of Flight (days)');
ylabel('Mass Fraction m_f/m_0');
legend('Imp 400 sec Isp','Imp 850 sec Isp','LT 1 mm/sec^2 3000 sec Isp',...
    'LT 1 mm/sec^2 3000 sec Isp','LT 0.5 mm/sec^2 3000 sec Isp');
axis([0,800,0,1.4]);