clc; clear all;
path('../matlab_lib',path);

mu = 1;
r0 = [1,0,0];
v0 = [0,1.2,0.2];

oe0 = amsorb_rv_to_oe(r0,v0,mu);

tt0 = linspace(0,10,50);
for I = 1:size(tt0,2)
    [rr,vv] = amsorb_UTOF(r0,v0,tt0(I),mu);
    r{I} = rr;
    v{I} = vv;
end

figure(1)
clf; hold on;
ams_draworbit(oe0,mu,[0,0.5,0]);
pars = struct();
pars.col = [0,0,1];
ams_drawsphere(0.5,[0,0,0],pars);
for I = 1:size(tt0,2)
    plot3(r{I}(1),r{I}(2),r{I}(3),'bo');
end
axis equal

figure(2)
clf; hold on;
for I = 1:size(tt0,2)
    vm(I) = norm(v{I});
    rm(I) = norm(r{I});
end
subplot(2,1,1);
plot(tt0,vm,'b');
subplot(2,1,2);
plot(tt0,rm,'r');

