clc; clear all;
path('../matlab_lib',path);

rplan = 0.4;
r0 = [1,0,0]';
v0f = [0,1,0]';
th = (pi/2+0.5);
r1 = 2.0*[cos(th),sin(th),0]';
v1f = -1/sqrt(2).*[-sin(th),cos(th),0]';
mu = 1;
tof = 4;

oe0 = amsorb_rv_to_oe(r0,v0f,mu);
oe1 = amsorb_rv_to_oe(r1,v1f,mu);

[v1_sw, v2_sw, v1_lw, v2_lw] = amsorb_Gaussp(r0,r1,tof,mu);

oet_sw = amsorb_rv_to_oe(r0,v1_sw,mu);
oet_lw = amsorb_rv_to_oe(r0,v1_lw,mu);

h1 = figure(1);
clf; hold on;
sopt = struct();
sopt.col = [0,0,1];
ams_drawsphere(rplan,[0,0,0],sopt);
ams_draworbit(oe0,mu,[1,0,0]);
ams_draworbit(oe1,mu,[0,0,1]);
%ams_draworbit(oet_sw,mu,[0,0.5,0]);
%ams_draworbit(oet_lw,mu,[1,1,0.25]);
ams_draworbitarc_oet(oet_sw,0,tof,mu,[0,0.5,0]);
%ams_draworbitarc_oet(oet_lw,0,tof,mu,[1,1,0.25]);
ams_draworbitarc_rvt(r0,v1_lw,tof,mu,[1,1,0.25]);
axis equal;
h2 = get(h1,'CurrentAxes');
set(h1,'Color',[0,0,0]);
set(h2,'Color',[0,0,0]);
