%Script to test orbit element solutions to solar model
clc; clear all;

G = 6.67408E-11; %N-m^2/kg^2

epochmin = 2378496.5;
epochmax = 2469806.5;
epoch = 2451545;

ss = amsorb_generatesolarsys();
msol = ss.objs{1}.prop.mass;
musol = msol*G;

krate_merc = ss.objs{2}.orbit;

JD1 = epochmin-10;
oe_merc1 = amsorb_krate_to_oe(krate_merc,JD1,musol);

JD2 = epochmax-0.001;
oe_merc2 = amsorb_krate_to_oe(krate_merc,JD2,musol);


JD3 = epochmax+1000000000000000;
oe_merc3 = amsorb_krate_to_oe(krate_merc,JD3,musol);

figure(1);
clf; hold on;
ams_draworbit(oe_merc1,musol,[0,0,0]);
ams_draworbit(oe_merc2,musol,[0,0,1]);
ams_draworbit(oe_merc3,musol,[1,0,0]);
axis equal;


%function solsys = amsorb_solsysepochcalc(solsys,JD)
JD4 = JD1;
ss = amsorb_solsysepochcalc(ss,JD4);
