%Script to test orbit element solutions to solar model
clc; clear all;

G = 6.67408E-11; %N-m^2/kg^2
AU = 149597870700; %m in an AU
cty = 100*365.25*24*3600; %sec in a century
rad = pi/180; %conv deg to radians
day = 24*3600; %sec in a day

path(path,'../matlab_lib');

epochmin = 2378496.5;
epochmax = 2469806.5;
epoch = 2451545+40;
JD2 = ams_juliandate(2015,8,1,0,0,0);
%JD2 = ams_juliandate(1800,12,31,0,0,1);
%JD3 = ams_juliandate(2001,1,1,0,0,0);
%JD0 = 2451910.500000;
%JD1 = 2451544.500000;
%The Julian date for CE  2001 January  1 00:00:00.0 UT is
%JD 2451910.500000
%The Julian date for CE  2000 January  1 00:00:00.0 UT is
%JD 2451544.500000


ss = amsorb_generatesolarsys();
ss = amsorb_solsysepochcalc(ss,JD2);

fh = figure(1);
clf; hold on;
amsorb_plotsolsys(ss,JD2,fh);
NAU = 3;
axis([-NAU*AU,NAU*AU,-NAU*AU,NAU*AU,-NAU*AU,NAU*AU]);
fhc = get(fh,'Children');
set(fhc,'XColor',[0,1,0]);
set(fhc,'YColor',[0,1,0]);
set(fhc,'ZColor',[0,1,0]);
xlabel('x (m)');
ylabel('y (m)');
zlabel('z (m)');
dtstr = ams_JD_to_str(JD2);
th = text(-NAU*AU*0.8,-NAU*AU*0.8,-NAU*AU*0.8,dtstr);
set(th,'Color',[0,1,0]);

