clc; clear all;

G = 6.67408E-11; %N-m^2/kg^2
AU = 149597870700; %m in an AU
cty = 100*365.25*24*3600; %sec in a century
rad = pi/180; %conv deg to radians
day = 24*3600; %sec in a day

v0 = [0;1;0];
v1 = [1;-1;0];
v2 = [0;0;1];

v_lst = {};
v_lst{1} = v0;
v_lst{2} = v1;
v_lst{3} = v2;
b0 = [sqrt(2)/2;sqrt(2)/2;0];
b1 = [-sqrt(2)/2;sqrt(2)/2;0];
b2 = [0;0;1];

[az0,el0] = ams_vector_to_azel(v0,b0,b1,b2);
[az1,el1] = ams_vector_to_azel(v1,b0,b1,b2);
[az2,el2] = ams_vector_to_azel(v2,b0,b1,b2);
az_lst = [az0, az1, az2];
el_lst = [el0, el1, el2];

t0 = 0;
tf = 5;
t = linspace(t0-1,tf+1,100);

v_lst2 = {};
v_lst3 = {};
xv = {};
xv2 = {};
for I = 1:size(t,2)
    v = amsorb_top2_vinterp(v_lst,t0,tf,t(I));
    v2 = amsorb_top2_vinterp2(az_lst,el_lst,b0,b1,b2,t0,tf,t(I));
    v_lst2{I} = v;
    v_lst3{I} = v;
    xv{I} = [t(I),0,0]';
    xv2{I} = [t(I),2,0]';
end

figure(1);
clf; hold on;
for I = 1:size(v_lst2,2)
    ams_drawarrow(xv{I},v_lst2{I}./2,[1,0,0]);
    ams_drawarrow(xv2{I},v_lst3{I}./2,[0,0,1]);
end
axis equal;
