%A function of mine to draw a triangle mesh without needing to mess with
%coloration
function ams_drawmesh(tri,x,y,z,color,alph)

if(nargin<6)
    alph = 1.0;
end
if(nargin<5)
    color = [0,0,1];
end

hold on;

xx = zeros(size(tri,1),3);
yy = zeros(size(tri,1),3);
zz = zeros(size(tri,1),3);

for I = 1:size(tri,1)
    xx(I,:) = [x(tri(I,1)),x(tri(I,2)),x(tri(I,3))];
    yy(I,:) = [y(tri(I,1)),y(tri(I,2)),y(tri(I,3))];
    zz(I,:) = [z(tri(I,1)),z(tri(I,2)),z(tri(I,3))];
end
%one polygon per color
if(exist('fill3')>0)
	fill3(xx',yy',zz',color);
    alpha(alph);
else
	%fill3 is not defined, so I'll draw transparent wire-grid triangles instead. (Octave, very old matlab might not have this).
	for I = 1:size(tri,1)
		v1 = [x(tri(I,1)), y(tri(I,1)), z(tri(I,1))]';
		v2 = [x(tri(I,2)), y(tri(I,2)), z(tri(I,2))]';
		v3 = [x(tri(I,3)), y(tri(I,3)), z(tri(I,3))]';
		ams_drawplaintri(v1,v2,v3,color);
	end
end
return
