%Quick and dirty runge-kutta 4th order integrator
%
%function [t,xout] = ams_rkint(fpnt,t,x,pars)
%t - vector of times
%xout - output of the integration
%fpnt - function pointer of the form xdot = fpnt(t,x,pars)
%x - initial condition vector passed to fpnt
%pars - parameters passed to fpnt
%
%I made this because ODE45 was ignoring my timestep preferences.
%This integrator steps between provided times.
function [t,xout] = ams_rkint(fpnt,t,x,pars)

xout(1,:) = x';
for I = 2:size(t,2)
    dt = t(I)-t(I-1);
    xout(I,:) = rkstep(fpnt,t,xout(I-1,:)',dt,pars)';
end


return
