%Returns the angle of the component of vector ev in the oriented plane
%defined by xv and yv. The angle is measured counterclockwise from xv,
%towards yv, then around.
%
%xv,yv,ev are meant to be 3 dimensional column vectors
%function theta = arg_vect(xv,yv,ev)
function theta = arg_vect(xv,yv,ev)
xv = int_make_colvect(xv);
yv = int_make_colvect(yv);
ev = int_make_colvect(ev);
theta = 0;
xvv = xv./norm(xv);
yvvp = yv./norm(yv);
yvv = yvvp - (yvvp'*xvv)*xvv; %orthonormalize if it isn't already
x = ev'*xvv;
y = ev'*yvv;

theta = int_arg(x,y);

return

function th = int_arg(x,y)
%a function, domain (0, 2pi) which returns 
%the angle given by a 2d coordinate x,y
r = sqrt(x.*x+y.*y);


%quadrants
if(y<=x && y>=(-x))
    th = asin(y./r);
    if(th<0) th = th + 2.*pi; end
elseif(y>=x&&y>=-x)
    th = acos(x./r);
elseif(y>=x&&y<=-x)
    th = pi-asin(y./r);
elseif(y<=x&&y<=-x)
    th = 2*pi - acos(x./r);
end

return;

%Doesn't matter what form a vector comes in as, make it a column vector
function y=int_make_colvect(x)
a = size(x);
if(a(1)==1)
    y = x';
else
    y = x;
end
return